<script>
	import { postkanalas } from "$lib/supabaseClient";
	import Container from "./Container.svelte";
import Post from "./Post.svelte";
    export let data;
	console.log(data);

	postkanalas
  .on(
    'postgres_changes',
    { event: 'INSERT', schema: 'public', table: 'siena' },
    (payload) => {
      console.log('Change received!', payload)
    }
  )

</script>

<svelte:head>
	<title>Home</title>
</svelte:head>

<h2 class="mx-4 md:mx-0 text-lg font-semibold mb-3">Naujausi</h2>

<div class="">

	<div class="posts">
		{#each data.posts as post_data}
		<Post {post_data}></Post>
		{/each}
	</div>
</div>

